import JSONdb from 'simple-json-db';
import { StorageInterface } from "./StorageInterface";

const db = new JSONdb('./data.json');

/**
 * Implementace úložiště používající JSON soubor.
 */
export default class JsonStorage implements StorageInterface {

    hasData(key: string): Promise<boolean> {
        return Promise.resolve(db.has(key));
    }

    getData<Type>(key: string): Promise<Type> {
        return db.get(key);
    }

    setData<Type>(key: string, data: Type): Promise<void> {
        db.set(key, data);
        return Promise.resolve();
    }
}